dbg: debug/exercise_05_10

debug/exercise_05_10: debug/exercise_05_10.o
	g++    -Wall -Wextra -Werror -g3 $<  -o $@

debug/exercise_05_10.o: debug/exercise_05_10.s
	g++ -c -Wall -Wextra -Werror -g3 $<  -o $@

debug/exercise_05_10.s: debug/exercise_05_10.ii
	g++ -S -Wall -Wextra -Werror -g3 $<  -o $@

debug/exercise_05_10.ii: exercise_05_10.cpp
	g++ -E -Wall -Wextra -Werror -g3  $<  -o $@

debug/exercise_05_10.ii: | debug

debug:
	mkdir -p debug

clean:
	rm -rf debug *.ii *.s *.o *.out .gitignore

test1: debug/exercise_05_10
	./debug/exercise_05_10 < test1.in > test1.out || echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: exercise_05_10.ii exercise_05_10.s
.SECONDARY: exercise_05_10.ii exercise_05_10.s
			                            
